<?php

	if($_POST['chkManterCapa'] != 1){
		if(!empty($_FILES['btnUpload']['size'])){

			include_once("auxiliares/redimensionaImg.class.php");

			$redim = new Redimensiona();

			$numero = rand(1,99999999);
			$nome = $numero.$_FILES['btnUpload']['name'];
			$nome = $redim->tratar_arquivo_upload($nome);
			
			$tipoImagem = $_FILES['btnUpload']['type'];

			// Thumbs
			$fotoThumbs = $_FILES['btnUpload']['tmp_name'];	
			$filenameThumbs = $redim->Redimensionar($fotoThumbs, 250, 150, "imagens-site/marcas/thumbs", $tipoImagem, $nome);

			// Normal
			$foto = $_FILES['btnUpload']['tmp_name'];	
			$filenameDestaque = $redim->Redimensionar($foto, 180, 180, "imagens-site/marcas", $tipoImagem, $nome);


		}

			$updateQuery = "UPDATE adm_marcas SET titulo = '".mysql_escape_string(utf8_decode($_POST['titulo']))."', link = '".mysql_escape_string(utf8_decode($_POST['link']))."', capa = '".mysql_escape_string($filenameDestaque)."', observacao = '".mysql_escape_string(utf8_decode($_POST['observacao']))."' WHERE id = '".mysql_escape_string($_POST['idMarca'])."'";
		

	} else {

		$updateQuery = "UPDATE adm_marcas SET titulo = '".mysql_escape_string(utf8_decode($_POST['titulo']))."', link = '".mysql_escape_string(utf8_decode($_POST['link']))."', observacao = '".mysql_escape_string(utf8_decode($_POST['observacao']))."' WHERE id = '".mysql_escape_string($_POST['idMarca'])."'";
	}

	$updateMarca = mysql_query($updateQuery);

	if($updateMarca){ ?>
	<table>
		<tr>
			<td>
				Parceiro atualizado com sucesso.
				<meta http-equiv="refresh" content="2; url=miolo.php?miolo=marcas&acao=listar" />
			</td>
		</tr>
	</table>
	<?php } if(!$updateMarca){ ?>
	<table>
		<tr>
			<td>
				Houve um erro ao atualizar o parceiro.
				<meta http-equiv="refresh" content="2; url=miolo.php?miolo=marcas&acao=listar" />
			</td>
		</tr>
	</table>
	<?php }